<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="NPCColorChanger" description="Компонент художник"
	fileName="NPCColorChanger.jar" className="org.mati.npc.components.colorchanger.NPCColorChanger"
	version="8872" time="17.02.2009 01:05:07">

	<!--INLINKS BEGIN-->
	<INLink name="InFireColorChange"
		description="Связь, служащая для сообщения о том, что соответсвующему компоненту необходимо установить цвет фона и текста."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutSetColor"
		description="Связь, служащая для установки цвета текста и/или фона соответствующему компоненту."
		interfaceName="org.mati.npc.components.interfaces.NPCColorable"
		linksNumber="0" nullable="true">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="BackgroundColor" description="Цвет фона."
		defaultValue="8421504"
		type="java.awt.Color" nullable="false">
	</Attribute>
	<Attribute name="ForegroundColor" description="Цвет текста."
		defaultValue="0"
		type="java.awt.Color" nullable="false">
	</Attribute>
	<!--PROPERTIES END-->

</ClassComponent>
